/************************************************************************************/
/*																					*/
/*				RSM_File - Test file to be loaded by RSM							*/
/*																					*/
/*				Richard C. Sewill								12/3/87				*/
/*																					*/
/*			 Copyright  1987-88, Apple Computer, Inc.  All rights reserved.		*/
/*																					*/
/************************************************************************************/

#define		TOTAL	10

#include	"os.h"

static	char		My_Name [] = "RSM_File";

pascal	void	illegal ()
		extern	0x4afc;


/*
 *	    Print some messages.
 */
main()
{			
	long i;
	AROSEDateTimeRec	Date;
	AROSEDateTimeRec	oldDate;
	unsigned long	secs;
	unsigned long	newsecs;
	
	AROSEGetDateTime(&secs);
		
	AROSESecs2Date(secs, &oldDate);
	
	for (i = 0; i < TOTAL; i++)
	{
		printf("TID = %x, My name = %s, times through the loop = %d.\n",
			GetTID(), My_Name, i);
		
		AROSEGetDateTime(&secs);
		
		AROSESecs2Date(secs, &Date);
		
		if((Date.year != oldDate.year) ||
			(Date.month != oldDate.month) ||
			(Date.day != oldDate.day))
			illegal();
		
		AROSEDate2Secs(&Date, &newsecs);
		
		printf("TID = %x, Secs = %d, Date = %d/%d/%d, Time = %d:%d:%d, %d of week, Secs = %d\n",
			GetTID(), secs, Date.year, Date.month, Date.day, 
			Date.hour, Date.minute, Date.second, Date.dayOfWeek, newsecs);
	}
}