/*
	Server/Client header file
*/

// Equates

#ifdef TimingTest
#define kLocalBuffSize 10000
#else
#define kLocalBuffSize 200
#endif TimingTest
#define kFalse 0x00
#define kTrue 0xFF

// Message codes

#define CA_COUNT 0x00
#define CA_SORT 0x02
#define CA_COUNT_REM 0x04
#define CA_SORT_REM 0x06
#define CA_STOP 0x80

// Registering name

const char objName[] = "CodeAnalyzer";
const char typName[] = "Client";
const char serverObjName[] = "CodeAnalyzer";
const char serverTypName[] = "Server";
const char intServerObjName[] = "CodeAnalyzer";
const char intServerTypName[] = "IntermediateServer";
const char rsmObjName[] = "RSM";
const char rsmTypName[] = "RSM";

#ifdef TimingTest
#define kTestCount 20000
#endif