#################################################################################
#																				#
#		FileTask.make - build A/ROSE file system.								#
#																				#
#		Richard W. Mincher.  December 20, 1989.									#
#																				#
#		Copyright  1989-1991 Apple Computer, Inc.  All rights reserved.		#
#																				#
#################################################################################

#   File:       FileTask.make
#   Target:     FileTask
#   Sources:    FileTask.c FileTask.r
#   Created:    Thursday, December 14, 1989 11:43:41 AM

AROSEINC	=	"::A/ROSE:Includes"

FileTask.c.o  FileTask.make FileTask.c
	 C -i {AROSEINC} -sym on FileTask.c
FileTask  FileTask.make FileTask.r
	Rez "{RIncludes}Types.r" "{RIncludes}SysTypes.r" 
		FileTask.r -append -o FileTask


SOURCES = FileTask.c FileTask.r
OBJECTS = FileTask.c.o

FileTask  FileTask.make {OBJECTS}
	Link -w -t APPL -c '????' -sym on -mf 
		{OBJECTS} 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{CLibraries}"StdCLib.o 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"::A/ROSE Prep:IPCGlue.o" 
		-o FileTask
