#   File:       DemoMesDis.make
#   Target:     DemoMesDis
#   Sources:    DemoMesDis.c
#   Created:    Friday, April 19, 1991 5 PM

AROSEINC	=	"::A/ROSE:includes:"

COptions	=	-d Dispatcher -b2
AOptions	=	-d &Dispatcher

OBJECTS = DemoMesDis.c.o MessageDispatcher.o

MultiThread.a.o  DemoMesDis.make MultiThread.a
	Asm {AOptions} -i "::A/ROSE:Includes" MultiThread.a

MultiThread  DemoMesDis.make MultiThread.a.o MessageDispatcher.c.o
	Link -w -rt mlti=1 -c 'AIPC' 
		MultiThread.a.o 
		MessageDispatcher.c.o 
		"::A/ROSE Prep:IPCGlue.o" 
		-o MultiThread

DemoMesDis  DemoMesDis.make {OBJECTS}
	Link -d -c '????' -t APPL 
		{OBJECTS} 
		"{CLibraries}"StdClib.o 
		"{MPW}"Libraries:Libraries:SIOW.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"::A/ROSE Prep:"IPCGlue.o 
		-o DemoMesDis

MessageDispatcher.c.o  DemoMesDis.make MessageDispatcher.c
	 C {COptions} -i {AROSEINC} -r  MessageDispatcher.c

MessageDispatcher.a.o  DemoMesDis.make MessageDispatcher.a
	 Asm {AOptions} MessageDispatcher.a

MessageDispatcher.o  DemoMesDis.make MessageDispatcher.c.o MessageDispatcher.a.o
	Lib -o MessageDispatcher.o MessageDispatcher.c.o MessageDispatcher.a.o

DemoMesDis  MultiThread.r MultiThread
	Rez MultiThread.r -append -o DemoMesDis

DemoMesDis.c.o  DemoMesDis.make DemoMesDis.c
	 C {COptions} -i {AROSEINC} -r  DemoMesDis.c

DemoMesDis  "{MPW}"Interfaces:Rincludes:SIOW.r
	Rez -a "{MPW}"Interfaces:Rincludes:SIOW.r -o DemoMesDis
