/* LAP802Arp.h contains ARP table definitions for IEEE 802.3 LAP.

   (c) Copyright 1990-91 by Apple Computer, Inc.  All rights reserved.
   
*/

/*
	1.2		3/11/90	Rajesh	modified for IEEE 802.3 LAP.
*/


#define ARP_ETHERNET    	1       /* ARP for Ethernet hardware address */
#define ARP_APPLETALK		3		/* ARP for AppleTalk hardware address */
#define ARP_IP				0x0800	/* ARP for IP address */
#define ARP_ENADDRS_LEN		6       /* Ethernet hardware address length */
#define ARP_ATADDRS_LEN		4		/* AppleTalk hardware address length */
#define ARP_IPADDRS_LEN 	4       /* IP address length */

/* arp_opcode field */
#define ARP_REQUEST      	1       /* ARP request */
#define ARP_REPLY        	2       /* ARP reply */
#define	RARP_REQUEST		3       /* Reverse ARP request */
#define RARP_REPLY      	4       /* Reverse ARP reply */

#define	ARP_LAP802			2		/* ARP for IEEE 802.3 hardware address */
#define ARP_LAPADDRS_LEN	6		/* IEEE 802.3 hardware address length */
