#include "Types.r"
#include "SysTypes.r"

resource 'MENU' (128, "Apple", preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About DMZ", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, "File", preload) {
	129,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 2 elements */
		/* [1] */
		"Lookup options...", noIcon, noKey, noMark, plain,
		/* [2] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130, "Edit", preload) {
	130,
	textMenuProc,
	0x7FFFFFFC,
	disabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'DLOG' (128, "About Sample") {
	{66, 102, 214, 400},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	128,
	""
};

resource 'DLOG' (129) {
	{41, 3, 275, 487},
	zoomDocProc,
	invisible,
	noGoAway,
	0x0,
	129,
	"dmz"
};

resource 'DLOG' (130) {
	{48, 16, 158, 462},
	documentProc,
	invisible,
	goAway,
	0x0,
	130,
	"Lookup Options"
};

resource 'DLOG' (131) {
	{40, 40, 170, 350},
	dBoxProc,
	invisible,
	goAway,
	0x0,
	131,
	"New Dialog"
};

resource 'DITL' (128) {
	{	/* array DITLarray: 7 elements */
		/* [1] */
		{88, 180, 108, 260},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 8, 24, 214},
		StaticText {
			disabled,
			"DMZ Sample "
		},
		/* [3] */
		{32, 8, 49, 289},
		StaticText {
			disabled,
			"Copyright  1990 Apple Computer, Inc."
		},
		/* [4] */
		{56, 8, 72, 136},
		StaticText {
			disabled,
			"Brought to you by:"
		},
		/* [5] */
		{80, 16, 112, 159},
		StaticText {
			disabled,
			"Macintosh Developer Technical Support"
		},
		/* [6] */
		{130, 26, 149, 252},
		StaticText {
			disabled,
			"(slapped together by Pete Helme)"
		},
		/* [7] */
		{84, 176, 112, 264},
		UserItem {
			enabled
		}
	}
};

resource 'DITL' (130) {
	{	/* array DITLarray: 9 elements */
		/* [1] */
		{16, 8, 32, 112},
		StaticText {
			disabled,
			"Retry Interval:"
		},
		/* [2] */
		{48, 8, 64, 96},
		StaticText {
			disabled,
			"Retry Count:"
		},
		/* [3] */
		{16, 128, 32, 160},
		EditText {
			enabled,
			"4"
		},
		/* [4] */
		{48, 128, 64, 160},
		EditText {
			enabled,
			"4"
		},
		/* [5] */
		{80, 8, 96, 432},
		StaticText {
			disabled,
			"AppleTalk Phase 2 drivers installed. OK "
			"to use '' (NBP wildcard)."
		},
		/* [6] */
		{16, 200, 32, 256},
		StaticText {
			disabled,
			"Object:"
		},
		/* [7] */
		{48, 200, 64, 256},
		StaticText {
			disabled,
			"Type:"
		},
		/* [8] */
		{16, 272, 32, 432},
		EditText {
			enabled,
			"="
		},
		/* [9] */
		{48, 272, 64, 432},
		EditText {
			enabled,
			"="
		}
	}
};

resource 'DITL' (129) {
	{	/* array DITLarray: 11 elements */
		/* [1] */
		{24, 0, 81, 485},
		UserItem {
			enabled
		},
		/* [2] */
		{112, 0, 235, 485},
		UserItem {
			enabled
		},
		/* [3] */
		{131, 566, 153, 628},
		Picture {
			enabled,
			128
		},
		/* [4] */
		{8, 3, 20, 48},
		UserItem {
			disabled
		},
		/* [5] */
		{96, 200, 109, 229},
		UserItem {
			enabled,
		},
		/* [6] */
		{96, 3, 109, 46},
		UserItem {
			enabled,
		},
		/* [7] */
		{8,410, 20, 484},
		StaticText {
			disabled,
			""
		},
		/* [8] */
		{8, 63, 20, 382},
		StaticText {
			disabled,
			"^2 ^3"
		},
		/* [9] */
		{96, 372, 109, 394},
		UserItem {
			enabled,
		},
		/* [10] */
		{96, 413, 109, 442},
		UserItem {
			enabled,
		},
		/* [11] */
		{96, 448, 109, 470},
		UserItem {
			enabled,
		}
	}
};

resource 'DITL' (131) {
	{	/* array DITLarray: 13 elements */
		/* [1] */
		{101, 240, 121, 300},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{88, 8, 104, 40},
		StaticText {
			disabled,
			"Hops:"
		},
		/* [3] */
		{88, 75, 104, 190},
		StaticText {
			disabled,
			"Round trip time (ticks):"
		},
		/* [4] */
		{88, 40, 104, 63},
		StaticText {
			disabled,
			""
		},
		/* [5] */
		{88, 193, 104, 223},
		StaticText {
			disabled,
			""
		},
		/* [6] */
		{112, 8, 136, 224},
		StaticText {
			disabled,
			""
		},
		/* [7] */
		{8, 8, 24, 48},
		StaticText {
			disabled,
			"Object:"
		},
		/* [8] */
		{32, 8, 48, 40},
		StaticText {
			disabled,
			"Type:"
		},
		/* [9] */
		{56, 8, 72, 40},
		StaticText {
			disabled,
			"Zone:"
		},
		/* [10] */
		{8, 48, 24, 296},
		StaticText {
			disabled,
			""
		},
		/* [11] */
		{32, 48, 48, 296},
		StaticText {
			disabled,
			""
		},
		/* [12] */
		{56, 48, 72, 296},
		StaticText {
			disabled,
			""
		},
		/* [13] */
		{97, 236, 125, 304},
		UserItem {
			enabled
		}
	}
};

resource 'vers' (1, purgeable) {
	0x3,
	0x30,
	release,
	0x0,
	verUS,
	"1.0",
	"1.0 1988-90 Apple Computer"
};

resource 'vers' (2, purgeable) {
	0x6,
	0x0,
	release,
	0x0,
	verUS,
	"6.0",
	"From  MacDTS"
};

resource 'WIND' (128, "Sample Window") {
	{64, 60, 314, 460},
	documentProc,
	visible,
	noGoAway,
	0x0,
	"Sample Window"
};

resource 'SIZE' (-1) {
	dontSaveScreen,
	acceptSuspendResumeEvents,
	enableOptionSwitch,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	not32BitCompatible,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	288000,
	288000
};

resource 'MBAR' (128) {
	{	/* array MenuArray: 3 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130
	}
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 70EF CE0E 4928 2AEA 462B AAAA"
		$"50AA AAAA 59AB AAAA 56A8 2AAA 50AB CAAA"
		$"50AA 0B1A 50AA 0842 70EE 0FBE 0000 0000"
		$"0000 0000 7FFF FFFE 4000 0002 400F F002"
		$"401F F802 403F FC02 407C 3C02 4078 0002"
		$"4078 0002 4078 0002 407C 3C02 403F FC02"
		$"401F F802 400F F002 4000 0002 7FFF FFFE",
		/* [2] */
		$"0000 0000 70EF CE0E 79EF EEEE 7FEF EEEE"
		$"7FEE EEEE 7FEF EEEE 76EF EEEE 70EF CEEE"
		$"70EE 0FFE 70EE 0FFE 70EE 0FBE 0000 0000"
		$"0000 0000 7FFF FFFE 7FFF FFFE 7FFF FFFE"
		$"7FFF FFFE 7FFF FFFE 7FFF FFFE 7FFF FFFE"
		$"7FFF FFFE 7FFF FFFE 7FFF FFFE 7FFF FFFE"
		$"7FFF FFFE 7FFF FFFE 7FFF FFFE 7FFF FFFE"
	}
};

resource 'dctb' (129) {
	{	/* array ColorSpec: 5 elements */
		/* [1] */
		wContentColor, 65535, 65535, 65535,
		/* [2] */
		wFrameColor, 0, 0, 0,
		/* [3] */
		wTextColor, 0, 0, 0,
		/* [4] */
		wHiliteColor, 0, 0, 0,
		/* [5] */
		wTitleBarColor, 65535, 65535, 65535
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'CURS' (128, "Grabber") {
	$"0180 1A70 2648 264A 224D 1249 7009 9801"
	$"8802 4002 2002 2004 1004 0808 0408 0408",
	$"0180 1BF0 3FF8 3FFA 3FFF 1FFF 7FFF FFFF"
	$"FFFE 7FFE 3FFE 3FFC 1FFC 0FF8 07F8 07F8",
	{9, 8}
};

resource 'CURS' (1001) {
	$"07C0 1F30 3F08 7F04 7F04 FF02 FF02 FFFE"
	$"81FE 81FE 41FC 41FC 21F8 19F0 07C0",
	$"07C0 1FF0 3FF8 7FFC 7FFC FFFE FFFE FFFE"
	$"FFFE FFFE 7FFC 7FFC 3FF8 1FF0 07C0",
	{7, 7}
};

resource 'CURS' (1002) {
	$"07C0 1FF0 3FF8 5FF4 4FE4 87C2 8382 8102"
	$"8382 87C2 4FE4 5FF4 3FF8 1FF0 07C0",
	$"07C0 1FF0 3FF8 7FFC 7FFC FFFE FFFE FFFE"
	$"FFFE FFFE 7FFC 7FFC 3FF8 1FF0 07C0",
	{7, 7}
};

resource 'CURS' (1003) {
	$"07C0 19F0 21F8 41FC 41FC 81FE 81FE FFFE"
	$"FF02 FF02 7F04 7F04 3F08 1F30 07C0",
	$"07C0 1FF0 3FF8 7FFC 7FFC FFFE FFFE FFFE"
	$"FFFE FFFE 7FFC 7FFC 3FF8 1FF0 07C0",
	{7, 7}
};

resource 'CURS' (1004) {
	$"07C0 1830 2008 701C 783C FC7E FEFE FFFE"
	$"FEFE FC7E 783C 701C 2008 1830 07C0",
	$"07C0 1FF0 3FF8 7FFC 7FFC FFFE FFFE FFFE"
	$"FFFE FFFE 7FFC 7FFC 3FF8 1FF0 07C0",
	{7, 7}
};

data 'CSMP' (0) {
	$"2253 616D 706C 6520 4320 4170 706C 6963"            /* "Sample C Applic */
	$"6174 696F 6E20 2D20 5665 7273 696F 6E20"            /* ation - Version  */
	$"322E 30"                                            /* 2.0 */
};

resource 'BNDL' (128) {
	'CSMP',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		}
	}
};

resource 'STR#' (128) {
	{	/* array StringArray: 6 elements */
		/* [1] */
		"Zone",
		/* [2] */
		"Object",
		/* [3] */
		"Type",
		/* [4] */
		"Net",
		/* [5] */
		"Node",
		/* [6] */
		"Skt"
	}
};

