#   File:       snbtest.make
#   Target:     snbtest
#   Sources:    ARTest.c ARDriver.c ARDriver.a
#   Created:    Monday, February 19, 1990 12:56:40 PM


OBJECTS		=	ARTest.c.o snblib.o
LIBOBJS		=	ARDriver.c.o ARDriver.a.o glue.c.o
COptions	=	-mbg on -i "{MRDOS}includes:" -i ::inc:


snbtest  snbtest.make {OBJECTS}
	Link -map -w -c 'MPS ' -t MPST 
		{OBJECTS} 
		"{CLibraries}"CSANELib.o 
		"{CLibraries}"Math.o 
		"{CLibraries}"StdClib.o 
		"{CLibraries}"CInterface.o 
		"{Libraries}"Stubs.o 
		"{CLibraries}"CRuntime.o 
		"{Libraries}"Interface.o 
		"{Libraries}"ToolLibs.o 
		"{MRDOS}A/ROSE Prep:IPCGlue.o" 
		"{MRDOS}Downloader:Download-lib.o" 
		-o snbtest > snbtest.map

snblib.o	 {LIBOBJS}
	lib -o snblib.o {LIBOBJS}

ARTest.c.o  snbtest.make ARTest.c

ARDriver.c.o  snbtest.make ARDriver.c

glue.c.o  snbtest.make glue.c

ARDriver.a.o  snbtest.make ARDriver.a
