/********************************************************************************/
/*																				*/
/*		ARDriver.h - A/Rose Driver definitions.									*/
/*																				*/
/*		Richard W. Mincher.		February 20, 1990.								*/
/*																				*/
/*		Copyright  1990, Apple Computer, Inc.  All rights reserved.			*/
/*																				*/
/********************************************************************************/

#define		SNBOpen		0x102
#define		SNBClose	0x104
#define		SNBRead		0x106
#define		SNBWrite	0x108
#define		SNBControl	0x110
#define		SNBStatus	0x112

#ifndef MCP
extern pascal OSErr	AROpenDriver( char *name, short *refNum );
extern pascal OSErr	ARCloseDriver( short refNum );
extern pascal OSErr	ARPBRead( ParmBlkPtr pb, short async );
extern pascal OSErr	ARPBWrite( ParmBlkPtr pb, short async );
extern pascal OSErr	ARPBControl( ParmBlkPtr pb, short async );
extern pascal OSErr	ARPBStatus( ParmBlkPtr pb, short async );
#endif MCP