//----------------------------------------------------------------------//
//	CoreSample.h	-	Rez and C Include File							//
//																		//
//	CoreSample is an application that is Apple Event-aware, Scripting	//
//	Compatible, and recordable.  It provides support for the Required	//
//	and Core suite of Apple Events, the Object Model, and the Open		//
//	Scripting Architecture.												//
//																		//
//	by Sue Dumont														//
//	Apple Developer Tools Engineering									//
//																		//
//	Copyright  Apple Computer, Inc. 1991,1992							//
//	All rights reserved.												//
//----------------------------------------------------------------------//
 
	//	Menu Items.
#define	mApple					128			// Apple menu
#define	iAbout					1
#define	mFile					129			// File menu
#define	iNew					1
#define	iClose					4
#define	iQuit					8
#define	mEdit					130			// Edit menu
#define	iUndo					1
#define	iCut					3
#define	iCopy					4
#define	iPaste					5
#define	iClear					6

#define kDITop					0x0050		// Disk event dialog
#define kDILeft					0x0070		// box data.
#define	kMaxOpenWindows			50			// Max # windows open.
#define	kMaxStringSize			255			// Max # characters in string.
#define	kMinWinDim				64			// Minimum size of a window.
#define	kSysEnvironsVersion		1			// SysEnvRec version.
#define	kOSEvent				app4Evt		// Event used by MultiFinder.
#define	kSuspendResumeMessage	1			// High byte of suspend/resume event message.
#define	kResumeMask				1			// Bit of message field for resume vs. suspend.
#define	kMouseMovedMessage		0xFA		// High byte of mouse-moved event message.
#define	kNoEvents				0			// No events mask.

	//	Min result from the equation: ORD(GetApplLimit) - ORD(ApplicZone)	 
#define	kMinHeap				(29 * 1024)	// Min size of memory.
	//	Min result from PurgeSpace when called at initialization time. 
#define	kMinSpace				(20 * 1024)
#define kPrefSize				125			// Preferred heap size.
#define kMinSize				40			// Minimum heap size.

	// The following are indicies into STR# resources.
#define	eWrongMachine			1
#define	eSmallSize				2
#define	eNoMemory				3
#define	eAEError				4

#define	rMenuBar				128			// application's menu bar
#define	rAboutAlert				128			// about alert
#define	rUserAlert				129			// user error alert
#define	rDocWindow				128			// application's window
#define	kErrStrings				128			// error string list
