
resource 'aete' (11, "Quill Japanese Suite") {
	0x00,
	0x90,
	11,
	roman,
	{	/* array Suites: 3 elements */
		/* [1] */
		"Core Suite",
		"Suite that applies to all applications",
		'core',
		1,
		1,
		{	/* array Events: 1 element */
			/* [1] */
			"Idousuru",
			"Move an object to the specified container",
			'aevt',
			'move',
			'obj ',
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			'obj ',
			"The object to be moved",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"no naka kara",
				'from',
				'obj ',
				"The container of the object",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"Chikaku ni",
				'insr',
				'obj ',
				"Specifies where in the container the object should be moved to",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"Where",
				'wher',
				'kwhe',
				"Specifies where the object should be placed in relation to existing elements",
				optional,
				singleItem,
				enumerated,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved
			}
		},
		{	/* array Classes: 2 elements */
			/* [1] */
			"Window",
			'cwin',
			"A window",
			{	/* array Properties: 2 elements */
				/* [1] */
				"Ichi",
				'ppos',
				'QDpt',
				"the position of a window",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"Text",
				'TEXT',
				'ctxt',
				"The title of the window",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved
			},
			{	/* array Elements: 4 elements */
				/* [1] */
				'cha ',
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				'cwor',
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				'clin',
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				'citm',
				{	/* array KeyForms: 1 elements */
					/* [1] */
					formAbsolutePosition
				}
			},
			/* [2] */
			"Cursor Ichi",
			'cspt',
			"A position where an insertion point can go",
			{	/* array Properties: 6 elements */
				/* [1] */
				"Class",
				'pcls',
				'cnum',
				"The class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [2] */
				"Font",
				'font',
				'cfon',
				"Font of the character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [3] */
				"Style",
				'styl',
				'enum',
				"Style of the character",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [4] */
				"Color",
				'colr',
				'cRGB',
				"Color of the character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [5] */
				"Size",
				'ptsz',
				'cf16',
				"Size of the character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [6] */
				"Script Bangou",
				'psct',
				'cint',
				"The number which indicates the script system of the character",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				/* [7] */
				"Haba",
				'pwid',
				'cf16',
				"Width of the text in points",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved
			},
			{	/* array Elements: 0 elements */
			}
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [2] */
		"Required Suite",
		"Events that every application should sup"
		"port",
		'reqd',
		1,
		1,
		{	/* array Events: 1 elements */
			/* [1] */
			"Shuuryousuru",
			"Quit application",
			'aevt',
			'quit',
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			noParams,
			"No direct parameter required",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"Hozon de",
				'savo',
				'savo',
				"if true, save all windows without asking"
				" user, if false, don't save.",
				optional,
				singleItem,
				enumerated,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved
			}
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [3] */
		"Text Suite",
		"A set of basic classes for text processi"
		"ng",
		'TEXT',
		1,
		1,
		{	/* array Events: 1 elements */
			"Tojiru",
			"Close an object",
			'aevt',
			'clos',
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			'obj ',
			"The object to close",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"Hozon de",
				'savo',
				'savo',
				"Specifies whether or not changes should be saved before closing",
				optional,
				singleItem,
				enumerated,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved,
				reserved
			}
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 1 elements */
			'styl',
			{	/* array Enumerators: 15 elements */
				"Hyoujun",
				'plai',
				"no style",
				"Futoji",
				'bold',
				"In a bold style",
				"Futoji nashi",
				'nbld',
				"Not in a bold style",
				"Shatai",
				'ital',
				"italic style",
				"Shatai nashi",
				'nitl',
				"non italic style",
				"Kasen",
				'ulin',
				"underware style",
				"Kasen nashi",
				'nuln',
				"non-underlined style",
				"Fukuromoji",
				'olin',
				"outlined style",
				"Fukuromoji nashi",
				'noln',
				"outlined style",
				"Kagemoji",
				'shdw',
				"shadowed style",
				"Kagemoji nashi",
				'nsdw',
				"non-shadowed style",
				"Condense",
				'cnds',
				"characters close to eachother",
				"Condense nashi",
				'ncnd',
				"not condensed style",
				"Extended",
				'xtnd',
				"style with extra space between characters",
				"Extended nashi",
				'nxtn',
				"not Extended"
			}
		}
	}
};


