/* Scroll.h
 * Interface to routines to handle window scrolling in Writeswell, Jr.
 * 1992 Working Software, Inc.
 * This source code is copyrighted.  Permission is granted to use the Word Services
 * portion of the Writeswell Jr. source code in your own programs, but you 
 * may not distribute the Writeswell Jr. word-processor code as a 
 * commercial product.  If you modify the code, please do not call it 
 * Writeswell Jr. (or Writeswell.)  This will ensure that people understand the 
 * program and dont have to deal with a number of different versions with 
 * who-knows-what going on in the code.
 * 
 * Writeswell Jr. and Writeswell are trademarks of Working Software, Inc.
 * 18 Apr 92 Mike Crawford
 */


void DoControl( WindowPtr theWindow, ControlHandle ctlHdl, short partCode, Point where );
pascal void TrackScrollBar( ControlHandle ctlHdl, short partCode );
void SetVertScroll( WindowPtr theWindow, ControlHandle scrollHdl );
void SizeVertScroll( void );
Boolean TrackContentClick( void );
void ScrollText( short oldVal, short newVal, ControlHandle ctlHdl );