#ifndef _drawtkl_
#define _drawtkl_
/******************************************************************************\
* Header Files
\******************************************************************************/

#ifndef __MENUS__
#include <Menus.h>
#endif

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef _concordia_
#include "Concordia.h"
#endif


/******************************************************************************\
* Constants and Macros
\******************************************************************************/

/* SICN Resource Icon Indeces */
#define topScroll 0 //Specifies top scroll arrow drawing
#define botScroll 1 //Specifies bottom scroll arrow drawing
#define heirArrow 2 //Specifies hierarchical arrow drawing

#define scrlIconHeight 8 //Height of scroll icon in pixels


/******************************************************************************\
* Function Prototypes
\******************************************************************************/

void DoDrawMsg (MenuHandle, Rect *);
void DrawItem (Str255, ItemInfoPtr, Rect *, short);
void DrawScroll (Rect *, short);


#endif
