#ifndef _sizetkl_
#define _sizetkl_
/******************************************************************************\
* Header Files
\******************************************************************************/

#ifndef __MENUS__
#include <Menus.h>
#endif

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef _concordia_
#include "Concordia.h"
#endif


/******************************************************************************\
* Constants & Macros
\******************************************************************************/

#define iconSize      32 //Horizontal/vertical size of ICON in pixels
#define sicnSize      16 //Horizontal/vertical size of SICN in pixels
#define iconItemGap   4  //Gap between item icon and item string in pixels
#define markItemGap   0  //Gap between marker and item text
#define cmmdItemGap   4  //Gap between item text and command key in pixels
#define itemHorzMarg  1  //Distance between item and left/right of item cell
#define itemVertMarg  0  //Distance between item and top/bottom of item cell
#define iconVertMarg  1  //Distence between item icon and top/bottom of cell
#define stdItemHeight 16 //Standard height of menu item
#define scrnMargin 5     //Minimum # of pixels between menu and screen edges


/******************************************************************************\
* Function Prototypes
\******************************************************************************/

void  DoSizeMsg (MenuHandle);
short CalcItemHeight (Str255, ItemInfoPtr);
short CalcItemWidth (Str255, ItemInfoPtr);


#endif
