#define	BASE_RES_ID			400		/* base resource used for menus, windows and alerts */
#define	ABOUT_ALERT			401		/* About alert resource id */
#define STOP_ALERT			402		/* Stop alert resource id */
#define NOTE_ALERT			403		/* Note alert resource id */
#define CAUTION_ALERT		404		/* Caution alert resource id */
#define BAD_SYS_ALERT		406		/* Bad system alert resource id */

#define	NIL_POINTER			0l
#define MOVE_TO_FRONT		-1
#define	REMOVE_ALL_EVENTS	0

#define DRAG_THRESHOLD		30

#define	MIN_SLEEP			0l		/* value used by WaitNextEvent */
#define NIL_MOUSE_REGION	0l		

#define	WNE_TRAP_NUM		0x60
#define	UNIMPL_TRAP_NUM		0x9F

#define	SAVE_BUTTON			1		/* items for add menu item dialog box */
#define CANCEL_BUTTON		2
#define TIME_FIELD			4

#define POPUP_LEFT			100		/*  values for the PopUp menu */
#define POPUP_TOP			35
#define POPUP_RIGHT			125
#define POPUP_BOTTOM		52
#define SHADOW_PIXELS		1
#define RIGHT_MARGIN		5
#define BOTTOM_MARGIN		4
#define LEFT_MARGIN			5
#define PIXEL_FOR_TOP_LINE	1

#define MARK_APPLICATION	1
#define nil					0l

#define PLAIN				0		/* style item definitions */
#define PLAIN_ITEM			1
#define	BOLD_ITEM			2
#define	ITALIC_ITEM			3
#define	UNDERLINE_ITEM		4
#define	OUTLINE_ITEM		5
#define	SHADOW_ITEM			6

#define	APPLE_MENU_ID		BASE_RES_ID			/*  Apple menu id  */
#define	ABOUT_ITEM_ID		1

#define FILE_MENU_ID		BASE_RES_ID + 1		/*  File menu id  */
#define QUIT_ITEM			1

#define EDIT_MENU_ID		BASE_RES_ID + 2		/*  Edit menu id  */
#define UNDO_ITEM			1
#define CUT_ITEM			3
#define COPY_ITEM			4
#define PASTE_ITEM			5
#define CLEAR_ITEM			6

#define MENUS_MENU_ID		BASE_RES_ID + 3		/*  Menus menu id  */
#define ADD_MENU_ITEM		1
#define CHECK_MENU_ITEM		2
#define TOGGLE_MENU_ITEM	3
#define SET_STYLE_ITEM		4
#define HIERARCHICAL_ITEM	5
#define POP_UP_ITEM			6
#define FONT_MENU_ID		100
#define POP_UP_MENU_ID		101

#define ALERT_MENU_ID		BASE_RES_ID + 4		/*  Alert menu id  */
#define STOP				1
#define NOTE				2
#define CAUTION				3

#define WINDOW_MENU_ID		BASE_RES_ID + 5		/*  Window menu id  */
#define document			1
#define noGrow				2
#define zoomDoc				3
#define zNoGrow				4
#define docProc				5

#define SYS_VERSION			1					/*  version used for SysEnviron */



DialogPtr		gSettingsDialog;
Rect			gDragRect;
Boolean			gDone;
MenuHandle		gAppleMenu, gFileMenu, gEditMenu, gMenusMenu, gAlertMenu, gWindowMenu;
MenuHandle		gFontMenu, gPopUpMenu;
EventRecord		gTheEvent;
short			gCount = 0;
Boolean			gCheck = false, gToggle = false, gStyle = false;
Style			gCurrentStyle = PLAIN;
int				gPopUpItem = 1, gPopUpLabelWidth;
Rect			gPopUpRect, gLabelRect;
WindowPtr		gPopUpWindow;

struct
{
	Str255		timeString;
} savedSettings;