{************************************************************************}
{*																		*}
{*	XTNDPictTranslator.p												*}
{*																		*}
{*	Header file for PICT import translator.								*}
{*																		*}
{*	Copyright  1988-91 Claris Corporation								*}
{*	All Rights Reserved													*}
{*																		*}
{************************************************************************}
UNIT XTNDPictTranslator;
INTERFACE

	USES
		types, osutils, files, folders, QuickDraw, Dialogs, XTNDInterface;

	CONST
{ Defines for Directive to be passed to picture import translators }
		importGetPict = 1;
		importGetEPSF = 2;

	TYPE
{ This is the parameter block for passing information to a picture import translator }
		PictImportParmBlkPtr = ^PictImportParmBlk;
		PictImportParmBlk = RECORD
				result: OSErr;			{ Return code, 0 if successful, error code otherwise }
				dataRefNum: INTEGER;		{ Reference number of the data fork to be read by the translator }
				resRefNum: INTEGER;		{ Reference number of the resource fork to be read by the translator }
				thePicture: PicHandle;		{ Handle to the picture to be read }
				directive: INTEGER;		{ Indicates the action to be performed }
				dataHandle: Handle;			{ Handle to additional data }
				theReply: SFReply;		{ Standard reply record describing the file being translated }
				thisTranslator: TransDescribe;	{ TransDescribe record describing this translator }
			END;

IMPLEMENTATION
END.