/*================================================================================
	reportError.h
	
	Greg Anderson
	28 June 1991
	greggor@apple.com
		
	These routines are very convenient for debugging; they will convert
	OSErrors from short negative numbers to human-readable strings in
	Pascal format
	
================================================================================*/
#ifndef __REPORTERROR__
#define __REPORTERROR__

#ifndef __TYPES
#include <Types.h>
#endif

/*
// Constants:
*/
#define kReportErrorID	30303

/*
// Prototypes for reportError.c
*/
pascal Boolean		FindResultCodeDescription( OSErr theErr, Str255 errorNameStr, Str255 errorDescStr );
pascal void			ReportError( Str255 errorMsg, OSErr theErr );

#endif
