

/*--------------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------------*/
/*	The following are the structures for resources used in 
	the TV-Man program. In order to correctly Rez and Derez TV-Man
	these need to be pasted into the Types.r file.	*/

/*---------------------------------------------------------------------------*/
/*	gbrs	Gray Scale Values > New Template			*/
type 'gbrs'
{
	unsigned integer;			/*	Color resolution		*/
	unsigned integer;			/*	Number of Gray Bars		*/
};


/*---------------------------------------------------------------------------*/
/*	tpat	Test Pattern Values	 > New Template		*/
type 'tpat'
{
	unsigned integer;			/*	line width				*/
	unsigned integer;			/*	ring spacing 			*/
	unsigned integer;			/*	ring width				*/
	unsigned longint;			/*	foregcolor Color Value	*/
	unsigned longint;			/*	backgcolor Color Value	*/
};


/*---------------------------------------------------------------------------*/
/*	lnes	Line Values	> New Template		*/
type 'lnes'
{
	unsigned integer;			/*	Light color width		*/
	unsigned integer;			/*	Dark color width		*/
	unsigned longint;			/*	Light Color Value		*/
	unsigned longint;			/*	Dark Color Value		*/
};


/*---------------------------------------------------------------------------*/
/*	lbst	Line Burst Values	> New Template			*/
type 'lbst'
{
	unsigned integer;			/*	Number of Bars			*/
	unsigned integer;			/*	Bar Width				*/
	unsigned integer;			/*	Bar Spacing				*/
	unsigned longint;			/*	Bar Color Value			*/
	unsigned longint;			/*	BAckground Color Value	*/
};



/*---------------------------------------------------------------------------*/
/*	beep	Beep Data Values	> New Template			*/
type 'beep'
{
	unsigned integer;			/*	Is Beep	Enabled			*/
	unsigned integer;			/*	Type of Beep			*/
	unsigned integer;			/*	Length of the Beep		*/
	unsigned integer;			/*	Spacing between Beeps	*/
	unsigned integer;			/*	Number of Beep cycles	*/
	unsigned integer;			/*	delay between cycles	*/
	unsigned integer;			/*	Volume of the Beep		*/
	unsigned integer;			/*	Frequency of Beep		*/
	unsigned integer;			/*	Channel init identifier	*/
	unsigned integer;			/*	Resource Identification	*/
	pstring;					/*	The Dialog Box Title	*/
};
