#   File:       Examples.make
#   Targets:    Server, Client, IntServer, MacClient, MacClient2
#   Created:    Wednesday, Febraury 23, 1990 at 6 PM
CI			=	"{AROSEFolder}A/ROSE:includes:"
AEB			=	"{AROSEFolder}A/ROSE:Examples:Binaries:"
OBJ			=	:Objs:
LIB			=	:Libs:

Examples			{OBJ}SAServer {OBJ}Server {OBJ}InterServer 
						{OBJ}Client {OBJ}MacClient {OBJ}MacClient2

#
#  SAServer is an example for initial load
#
{LIB}SAServer.c.o  Examples.make SAServer.c ServerClient.h
	 C -mbg on -b -i {CI} SAServer.c -o {LIB}SAServer.c.o

{OBJ}SAServer  Examples.make {LIB}SAServer.c.o {LIB}Server.c.o {AEB}trace_manager.c.o {AEB}printf.c.o
	Link -t 'DMRP' -c 'RWM ' -o {OBJ}SAServer 
		{LIB}SAServer.c.o {LIB}Server.c.o 
		{AEB}trace_manager.c.o 
		{AEB}printf.c.o 
		"{AROSEFolder}A/ROSE:Binaries":OS.o "{AROSEFolder}A/ROSE:Binaries":osglue.o
#
#  Server, InterServer, and Client are examples of dynamically downloaded tasks
#
{LIB}Server.c.o  Examples.make Server.c ServerClient.h
	 C -mbg on -b -i {CI} Server.c -o {LIB}Server.c.o

{OBJ}Server  Examples.make {LIB}Server.c.o
	Link -ma server=main -t 'DMRP' -c 'RWM ' 
		{LIB}Server.c.o 
		"{AROSEFolder}A/ROSE:Examples:Binaries:"printf.c.o 
		"{AROSEFolder}A/ROSE:Binaries:"osglue.o 
		-o {OBJ}Server

{LIB}InterServer.c.o  Examples.make InterServer.c ServerClient.h
	 C -mbg on -b -i {CI} InterServer.c -o {LIB}InterServer.c.o

{OBJ}InterServer  Examples.make {LIB}InterServer.c.o
	Link -t 'DMRP' -c 'RWM ' 
		{LIB}InterServer.c.o 
		"{AROSEFolder}A/ROSE:Examples:Binaries:"printf.c.o 
		"{AROSEFolder}A/ROSE:Binaries:"osglue.o 
		-o {OBJ}InterServer

{LIB}Client.c.o  Examples.make Client.c ServerClient.h
	 C -mbg on -b -i {CI} Client.c -o {LIB}Client.c.o

{OBJ}Client  Examples.make {LIB}Client.c.o
	Link -t 'DMRP' -c 'RWM ' 
		{LIB}Client.c.o 
		"{AROSEFolder}A/ROSE:Examples:Binaries:"printf.c.o 
		"{AROSEFolder}A/ROSE:Binaries:"osglue.o 
		-o {OBJ}Client
#
#  MacClient and MacClient2 are A/ROSE programs running on the motherboard
#
{LIB}MacClient.c.o  Examples.make MacClient.c ServerClient.h
	 C  -mbg on -b -i {CI} MacClient.c -o {LIB}MacClient.c.o

{OBJ}MacClient  Examples.make {LIB}MacClient.c.o
	Link -c 'MPS ' -t MPST 
		{LIB}MacClient.c.o 
		"{CLibraries}"StdClib.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{AROSEFolder}A/ROSE Prep:IPCGlue.o" 
		-o {OBJ}MacClient

{LIB}MacClient2.c.o  Examples.make MacClient2.c ServerClient.h
	 C  -mbg on -b -i {CI} MacClient2.c -o {LIB}MacClient2.c.o

{OBJ}MacClient2  Examples.make {LIB}MacClient2.c.o
	Link -c 'MPS ' -t MPST 
		{LIB}MacClient2.c.o 
		"{CLibraries}"StdClib.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		"{AROSEFolder}A/ROSE Prep:IPCGlue.o" 
		-o {OBJ}MacClient2
