#define NM_Entrys_Block			8		/* number of entries per block		*/
#define	NM_Card_Check_Rate		10		/* rate in seconds at which cards are checked for comm loss */
#define	NM_Initialization_delay	10		/* delay in seconds to wait for iccm and time_manager */
#define	NM_Peer_Response_Delay	3		/* Peer name_manager response delay */

struct	is_nte							/* internal structure name table entry	*/
{
	struct	obj_rec		is_on;			/* object name						*/
	struct	typ_rec		is_tn;			/* type name						*/
	tid_type			is_tid;			/* process id						*/
	char				visibility;		/* visibility flag					*/
};

struct	is_name_tab						/* internal structure name table 	*/
{
	struct	is_name_tab	*is_ntlink;		/* link to next table 				*/
	struct	is_nte		is_entry [NM_Entrys_Block];
};	

struct	is_nts								/* internal structure notify on slots table	*/
{
	tid_type			is_tid;				/* process id								*/
	boolean				is_slots[NM_Max_Slot];
	unsigned	long	is_mSData [3];
};

struct	is_notify_slots						/* internal structure notify on slots table	*/
{
	struct	is_notify_slots	*is_next_slots;	/* pointer to next notify slots entry		*/
	struct	is_nts		is_slot_entry [NM_Entrys_Block];
};

struct	is_ntt								/* internal structure notify on task table	*/
{
	tid_type			is_rtid;			/* remote process id to be notified			*/
	tid_type			is_ltid;			/* local process id 						*/
	unsigned	long	is_mSData [3];
};

struct	is_notify_tasks						/* internal structure notify on task table	*/
{
	struct	is_notify_tasks	*is_next_tasks;	/* pointer to next notify tasks entry		*/
	struct	is_ntt		is_task_entry [NM_Entrys_Block];
};
