/*
 *	timerlibrary.h - Definitions for use with the timerlibrary.
 *
 *	Copyright  1988,  Apple Computer, Inc.  All rights reserved.
 */

#ifndef						_timerlibrary_defined_
#define	_timerlibrary_defined_

struct Tmem
{
	long			NumberMessages;
	unsigned long	time_to_wait;
	message			*head;
	message			dummy;
	long			no_mess_count;
};

typedef struct Tmem TOPB;

#ifdef __safe_link
extern "C" {
#endif

extern TOPB			*TLInitTimer ();

extern char			TLStartTimer (TOPB*, message*);

extern long			TLActiveTimer (TOPB*, unsigned long);

extern message		*TLCancelTimer (TOPB*, unsigned long);

extern message		*TLReceive (TOPB*, unsigned long, tid_type, unsigned short);

#ifdef __safe_link
}
#endif

#endif