#include "Types.r"

#define AllItems		0b1111111111111111111111111111111	/* 31 flags */
#define MenuItem2		0b1011111111111111111111111111101
#define	MenuItemstart	0b0000000000000000000001010000000

resource 'DLOG' (128, "About Slot Looker") {
	{66, 102, 224, 400},
	dBoxProc, visible, noGoAway, 0x0, 128, ""
};


resource 'DITL' (128, purgeable) {
	{ /* array DITLarray: 5 elements */
		/* [1] */
		{88, 180, 108, 260},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 8, 24, 214},
		StaticText {
			disabled,
			"Slot Looker"
		},
		/* [3] */
		{32, 8, 48, 237},
		StaticText {
			disabled,
			"Copyright  1988 Apple Computer"
		},
		/* [4] */
		{56, 8, 72, 136},
		StaticText {
			disabled,
			"Brought to you by:"
		},
		/* [5] */
		{80, 24, 112, 167},
		StaticText {
			disabled,
			"Macintosh Developer Technical Support"
		}
	}
};

resource 'MENU' (128, "Apple", preload) {
	128, textMenuProc,
	MenuItem2,	/* Disable item #2 */
	enabled, apple,
	{
		"About Slot Looker",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain
	}
};

resource 'STR#' (130) {
	{ /* array StringArray: 4 elements */
		/* [1] */
		" -290 - Error, SDM could not be initiali"
		"zed.",
		/* [2] */
		" -291 - Error, Slot Resource Table could"
		" not be initialized.",
		/* [3] */
		" -292 - Error, Slot Resource Table could"
		" not be initialized.",
		/* [4] */
		" -293 - Error, Cards could not be initia"
		"lized."
	}
};

resource 'STR#' (131) {
	{ /* array StringArray: 21 elements */
		/* [1] */
		" -300 - No card in slot;",
		/* [2] */
		" -301 - CRC check failed for declaration"
		" data",
		/* [3] */
		" -302 - FHeader Format is not Apple's",
		/* [4] */
		" -303 - Wrong revison level",
		/* [5] */
		" -304 - Directory offset is Nil",
		/* [6] */
		" -305 - Long Word test field <> $5A932BC"
		"7.",
		/* [7] */
		" -306 - No sInfoArray. Memory Mgr error.",
		/* [8] */
		" -307 - Fatal reserved error. Reserved f"
		"ield <> 0.",
		/* [9] */
		" -308 - Unexpected BusError",
		/* [10] */
		" -309 - ByteLanes field was bad.",
		/* [11] */
		" -310 - Error occured during _sGetFHeade"
		"r.",
		/* [12] */
		" -311 - Error occured during _sDisposePt"
		"r (Dispose of FHeader block).",
		/* [13] */
		" -312 - _DisposePointer error",
		/* [14] */
		" -313 - No Board sResource.",
		/* [15] */
		" -314 - Error occured during _sGetPRAMRe"
		"c (See SIMStatus).",
		/* [16] */
		" -315 - No Board Id.",
		/* [17] */
		" -316 - The InitStatusV field was negati"
		"ve after primary or secondary init.",
		/* [18] */
		" -317 - An error occured while trying to"
		" initialize the Slot Resource Table.",
		/* [19] */
		" -318 - SDM jump table could not be crea"
		"ted.",
		/* [20] */
		" -319 - BoardId was wrong, re-init the P"
		"RAM record.",
		/* [21] */
		" -320 - BusError time out."
	}
};

resource 'STR#' (132) {
	{ /* array StringArray: 22 elements */
		/* [1] */
		" -330 - Reference Id not found in List ",
		/* [2] */
		" -331 - Bad sList: Id1 < Id2 < Id3 ... f"
		"ormat is not followed.",
		/* [3] */
		" -332 - Reserved field not zero ",
		/* [4] */
		" -333 - Code revision is wrong ",
		/* [5] */
		" -334 - Code revision is wrong",
		/* [6] */
		" -335 - LPointer is nil {From sOffsetDat"
		"a. If this error occurs, check sInfo rec"
		" for more information.}",
		/* [7] */
		" -336 - Nil sBlock error {Dont allocate "
		"and try to use a nil sBlock}",
		/* [8] */
		" -337 - Slot out of bounds error",
		/* [9] */
		" -338 - Selector out of bounds error",
		/* [10] */
		" -339 - _NewPtr error",
		/* [11] */
		" -340 - _BlockMove error",
		/* [12] */
		" -341 - Status of slot = fail.",
		/* [13] */
		" -342 - Error occured during _sGetDrvrNa"
		"me.",
		/* [14] */
		" -343 - Error occured during _sDisDrvrNa"
		"me.",
		/* [15] */
		" -344 - No more sResources",
		/* [16] */
		" -345 - Error occurred during _sGetDrive"
		"r.",
		/* [17] */
		" -346 - Bad pointer was passed to sCalcs"
		"Pointer",
		/* [18] */
		" -347 - NumByteLanes was determined to b"
		"e zero.",
		/* [19] */
		" -348 - Offset was too big (temporary er"
		"ror, should be fixed)",
		/* [20] */
		" -349 - No opens were successfull in the"
		" loop. ",
		/* [21] */
		" -350 - SRT over flow.",
		/* [22] */
		" -351 - Record not found in the SRT."
	}
};

resource 'STR#' (133) {
	{ /* array StringArray: 1 elements */
		/* [1] */
		" -360 - invalid slot # error"
	}
};

resource 'STR#' (134) {
	{ /* array StringArray: 1 elements */
		/* [1] */
		" -400 - gcr format on high density media"
		" error"
	}
};

resource 'STR#' (135) {
	{ /* array StringArray: 3 elements */
		/* [1] */
		" -500",
		/* [2] */
		" -501 - scrap item too big for text edit"
		" record",
		/* [3] */
		" -502 - bad selector for _HWPriv"
	}
};

resource 'WIND' (130, preload, purgeable) {
	{40, 10, 180, 630},
	noGrowDocProc, visible, noGoAway, 0x0, "General Slot Info"
};

resource 'WIND' (131, preload, purgeable) {
	{100, 10, 470, 630},
	noGrowDocProc, visible, noGoAway, 0x0, "Specific Slot Info"
};

resource 'MENU' (129, preload) {
	129, textMenuProc,
	MenuItemstart,
	enabled, "GetInfo",
	{
		"Slot $9",
			noicon, "9", nomark, plain;
		"Slot $A",
			noicon, "A", nomark, plain;
		"Slot $B",
			noicon, "B", nomark, plain;
		"Slot $C",
			noicon, "C", nomark, plain;
		"Slot $D",
			noicon, "D", nomark, plain;
		"Slot $E",
			noicon, "E", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"General Info",
			noicon, "G", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Quit",
			noicon, "Q", nomark, plain
	}
};

