unit MyPDEF_7_PrGeneral;

interface

uses MemTypes, QuickDraw, OsIntf, ToolIntf, PackIntf, MacPrint;

{$D+}
{$R-}
{$OV-}

type
	TGetRslBlkPtr = ^TGetRslBlk;
	TSetRslBlkPtr = ^TSetRslBlk;
	TDftBitsBlkPtr = ^TDftBitsBlk;
	TGetRotnBlkPtr = ^TGetRotnBlk;

procedure FilePrGeneral(pData: Ptr);

implementation

procedure FilePrGeneral(pData: Ptr);
{ refer to Inside Macintosh vol. V and the relevant Technical Notes for details }
	begin
		case TGetRslBlkPtr(pData)^.iOpCode of
			getRslDataOp: with TGetRslBlkPtr(pData)^ do
				begin
					iError := noErr;
					iRgType := 1;
					XRslRg.iMin := 0;
					XRslRg.iMax := 0;
					YRslRg.iMin := 0;
					YRslRg.iMax := 0;
					iRslRecCnt := 1;
					rgRslRec[1].iXRsl := 72;
					rgRslRec[1].iYRsl := 72;
				end;
			setRslOp: with TSetRslBlkPtr(pData)^ do
				begin
					if (iXRsl <> 72) or (iYRsl <> 72)
						then iError := noSuchRsl
						else iError := noErr;
					hPrint^^.prInfo.iVRes := 72;
					hPrint^^.prInfo.iHRes := 72;
					hPrint^^.prInfoPT.iVRes := 72;
					hPrint^^.prInfoPT.iHRes := 72;
				end;
			draftBitsOp: with TDftBitsBlkPtr(pData)^ do
				begin
					iError := 2; {opNotImpl}
				end;
			noDraftBitsOp: with TDftBitsBlkPtr(pData)^ do
				begin
					iError := 2; {opNotImpl}
				end;
			getRotnOp: with TGetRotnBlkPtr(pData)^ do
				begin
					iError := noErr;
					fLandScape := (hPrint^^.printX[6] = 1);
				end;
		end;
	end;

end.
