UNIT MyPrintDriver;

INTERFACE

USES
	MemTypes, QuickDraw, OSIntf, ToolIntf, PackIntf;

{$D+}
{$R-}
{$OV-}

FUNCTION DRVROpen		(ctlPB: ParmBlkPtr; dCtl: DCtlPtr): OSErr;
FUNCTION DRVRControl	(ctlPB: ParmBlkPtr; dCtl: DCtlPtr): OSErr;
FUNCTION DRVRStatus 	(ctlPB: ParmBlkPtr; dCtl: DCtlPtr): OSErr;
FUNCTION DRVRPrime		(ctlPB: ParmBlkPtr; dCtl: DCtlPtr): OSErr;
FUNCTION DRVRClose		(ctlPB: ParmBlkPtr; dCtl: DCtlPtr): OSErr;
			

IMPLEMENTATION

{ all functions just say that everything is fine and nothing else }
{ see also MyPrintDriver.a for an alternate version of the driver }

{ a printer driver related to a physical device would of course }
{ be more complete than that }

FUNCTION DRVROpen(ctlPB: ParmBlkPtr; dCtl: DCtlPtr): OSErr;
BEGIN
	DRVROpen := NOErr;
END;


FUNCTION DRVRClose(ctlPB: ParmBlkPtr; dCtl: DCtlPtr): OSErr;
BEGIN
	DRVRClose := NOErr;
END;


FUNCTION DRVRControl(ctlPB: ParmBlkPtr; dCtl: DCtlPtr): OSErr;
	
BEGIN
	DRVRControl := NoErr;
END;


FUNCTION DRVRPrime(ctlPB: ParmBlkPtr; dCtl: DCtlPtr): OSErr;
BEGIN
	DRVRPrime := NoErr;
END;

FUNCTION DRVRStatus(ctlPB: ParmBlkPtr; dCtl: DCtlPtr): OSErr;
BEGIN
	DRVRStatus := NoErr;
END;

END.
