# Enforce strict ptotype checking in MPW 3.0 C/PC relative String References
COptions = -r -b

Objs				=	Sludge.c.o State_Storage_Manager.c.o 
						"{Libraries}"Interface.o "{CLibraries}"CRuntime.o 
						Parasite_Manager.a.o Parasite_Manager.c.o


Objs2		=	"{Libraries}"Interface.o 
				"{CLibraries}"CRuntime.o 
				"{CLibraries}"CInterface.o


State_Storage_Manager.c.o  State_Storage_Manager.c Sludge.make State_Storage_Manager.h
	C {COptions} State_Storage_Manager.c

Sludge.c.o  Sludge.c Sludge.make State_Storage_Manager.h Parasite_Manager.h 
	C {COptions} Sludge.c

Parasite_Manager.c.o  Parasite_Manager.c Parasite_Manager.h State_Storage_Manager.h Sludge.make
	C {COptions} Parasite_Manager.c

Parasite_Manager.a.o  Parasite_Manager.a Sludge.make
	Asm Parasite_Manager.a


Parasite.c.o  Parasite.c Sludge.make
	C {COptions} Parasite.c

Parasite.a.o  Parasite.a Sludge.make
	Asm Parasite.a


Sludge.rsrc			Sludge.r Sludge.make Picture.r
		Rez -o Sludge.rsrc Sludge.r -t cdev -c slud
		Rez -a -o Sludge.rsrc Picture.r -t cdev -c slud

Sludge				Sludge.rsrc {Objs} Sludge.make Parasite.c.o Parasite.a.o  
		Duplicate -y Sludge.rsrc Sludge
		Link -o Sludge -rt cdev=-4064 -m SLUDGECDEV {Objs} && 
		link 
		-rt NUGG=0 
		-ra =resSysHeap,resLocked 
		-m start_sludging 
		Parasite.c.o Parasite.a.o 
		-o Sludge && 
		Setfile Sludge -a BS && 
		Duplicate -y Sludge "{SystemFolder}"
