
#include "Types.r"
#include "SysTypes.r"

type 'slud' as 'STR ';

resource 'slud' (0) {
	"Sludge CDEV and INIT by Kevin McEntee"
};


resource 'vers' (1) {
	0x01, 0x00, release, 0x00,
	verUS,
	"1.00",
	"1.00, Copyright  1990 Apple Computer, Inc."
};

type 'mach' {
	unsigned hex integer;	/* Softmask */
	unsigned hex integer;	/* Hardmask */
};


resource 'FREF' (-4064, purgeable) {
	'cdev', 0, ""
};

resource 'BNDL' (-4064, purgeable) {
	'slud', 0,
	{	'ICN#', {0, -4064},
		'FREF', {0, -4064}
	}
};

resource 'ICN#' (-4064, purgeable, preload) {
	{	/* array: 2 elements */
		/* [1] */
		$"00 00 00 00 00 3F B1 80 01 FF FB C0 0F FF FF C0"
		$"1F FF FF C0 3F FF FF C0 3F FF FF C0 3F FF FF 80"
		$"3F FF FF 80 3F FF FF BC 3F FF FF FC 1F FF FF F8"
		$"7F FF FF F8 7F FF FF FC 7F FF FF FE 3F FF FF FE"
		$"1F FF FF FE 1F FF FF FE 3F FF FF FC 7F FF FF F0"
		$"7F FF FF F0 7F FF FF F0 3F FF FF E0 1F FF FF E0"
		$"0F FF FF E0 03 FF FF C0 03 FF FE 00 01 FF FE 00"
		$"01 F7 FE 00 01 E3 FC 00 00 60 FC",
		/* [2] */
		$"10 04 00 80 42 00 00 04 10 1F F0 80 41 FF FF A0"
		$"07 FF FF 82 1F FF FF 90 9F FF FF A0 1F FF FF 00"
		$"1F FF FF 52 5F FF FF 00 1F FF FF F0 1F FF FF F1"
		$"1F FF FF F0 1F FF FF F8 1F FF FF FC 1F FF FF FC"
		$"1F FF FF FC 1F FF FF F8 1F FF FF E0 5F FF FF E0"
		$"1F FF FF E4 1F FF FF C0 4F FF FF C0 0F FF FF C5"
		$"21 FF FF 80 09 FF FC 00 00 FF FC 10 24 FF FC 02"
		$"01 77 FD 08 14 6B F8 00 00 00 02 21 24 A9 51 04"
	}
};






resource 'DITL' (-4064) {
	{ /* array DITLarray: 7 elements */
		/* [1] */
		{83, 105, 95, 165},
		RadioButton {
			enabled, "On"
		};
		/* [2] */
		{103, 105, 115, 165},
		RadioButton {
			enabled, "Off"
		};
		/* [3] */
		{3, 94, 67,235},
		Picture {
			disabled, 0
		};
		/*  [4] */
		{112,235,212,251},
		UserItem {
			enabled
		};
		/*  [5] */
		{112,235,212,251},
		Control {
			disabled, 0
		};
		/*  [6] */
		{23,250,41,301},
		Button {
			enabled, "About"
		};
		/* [7] */
		{73, 96, 239, 308},
		UserItem {
			enabled
		};
	}
};


resource 'CNTL' (0, preload, purgeable) {
	{112,235,212,251},
	999,
	visible, 999, 0, scrollBarProc, 0, ""
};



resource 'nrct' (-4064, purgeable) {
	/* array RectArray: 1 elements */
	{	
		/* [1] */
		{-1, 87, 255, 322 }
	}
};

resource 'mach' (-4064, purgeable) {
	0xFFFF,
	0
};


resource 'ALRT' (1, purgeable) {
	{150, 80, 230, 520},
	1,
	{
		OK, visible, sound1;	/* stage 4 */
		OK, visible, sound1;	/* stage 3 */
		OK, visible, sound1;	/* stage 2 */
		OK, visible, sound1;	/* stage 1 */
	}
};

resource 'DITL' (1, purgeable) {
	{ /* DITL array: 3 elements */
		/* [1] */
		{15, 380, 35, 430},
		Button {
			enabled, "OK"
		};
		/* [2] */
		{15,60,30,350},
		StaticText {
			disabled, "The Sludge CDEV cannot operate when"
		};
		/* [3] */
		{35,60,50,350},
		StaticText {
			disabled, "it is locked."
		};
	}
};






/* Here are the strings for the about box */

resource 'STR ' (0) {
	"SLUDGE"
};

resource 'STR ' (1) {
	"The SLUDGE cdev slows down your "
};

resource 'STR ' (2) {
	"Macintosh.  The degree to which it is"
};

resource 'STR ' (3) {
	"slowed down is set by the SLUDGE factor."
};

resource 'STR ' (4) {
	"SLUDGE is useful for watching and "
};

resource 'STR ' (5) {
	"debugging screen updates."
};

resource 'STR ' (6) {
	"This cdev uses the Jump-Trace exception"
};

resource 'STR ' (7) {
	"and therefore can only run machines with"
};

resource 'STR ' (8) {
	"a 68020 or 68030."
};

resource 'STR ' (9) {
	"This software is free.  All rights reserved."
};

resource 'STR ' (10) {
	"Email comments to:  kmcentee@apple.com"
};
