/*
 *	dmz.h
 *	
 *	2/15/90	pvh	- first wrote this.  about freakin time...
 *
 */
 
#ifndef THINK_C

#include	<types.h>
#include	<quickdraw.h>
#include	<toolutils.h>
#include	<fonts.h>
#include	<events.h>
#include	<windows.h>
#include	<dialogs.h>
#include	<menus.h>
#include	<desk.h>
#include	<textedit.h>
#include	<scrap.h>
#include	<segload.h>
#include	<osevents.h>
#include	<files.h>
#include	<devices.h>
#include	<memory.h>
#include	<appletalk.h>
#include	<lists.h>
#include	<errors.h>
#include	<OSUtils.h>
 
#else
#include	<Appletalk.h>

#endif

 /* 	
 *	Structure necessary for MultiFinder compatibility.  Our own layer's A5
 *	must be saved so globals can be used by the _PLookupName completion routine.
 */
typedef struct myMPPParamBlock {
	long 				myA5;
	MPPParamBlock 		myMPP;	
	} myMPPParamBlock;
	
/* 
 *	This is the structure that defines the "look" of our lists.  It includes
 *	the object name, type, net, node & socket
 */
typedef struct myNetworkEntity {
	char object[33];	
	char type[33];	
	char net[6];
	char node[4];
	char socket[4];
	} myNetworkEntity;
 
/* 
 *	A few char codes
 */
#define kEnterKey	(char)3
#define kReturnKey	(char)13

/* 
  *	HiliteMode low memory global.  We clear a bit at this address for using HiliteRGB
  *	when inverting in our LDEF & when selecting items.
  */
#define HiliteModePtr	0x938

/* 
  *	Offsets of the structure.  Used for the quicksort().
  */
#define myNetworkEntityObject	0 
#define myNetworkEntityType 	33+myNetworkEntityObject
#define myNetworkEntityNet 		33+myNetworkEntityType
#define myNetworkEntityNode		6+myNetworkEntityNet
#define myNetworkEntitySocket 	4+myNetworkEntityNode
 
/* 
 *	Justification constants for our list views.
 */
#define leftJust 	1
#define rightJust 	2

 /* 
  *	various stuff needed for AppleTalk bridging 
  */
#define sysABridge 			0x19
#define ABusVars 			0x000002D8
#define kBridgeSocket 		0x6
#define systemNetwork 		0x1A

 /* 
  *	other defines 
  */
#define kMachineNameResourceID	-16096
#define	ddpMaxData				586
#define kNumBuffers				2

#ifndef THINK_C
#define nil	0L
#endif

/* 
 *	calls for pre-Phase2 AppleTalk 
 *	(already defined in LSC)
 */
#ifndef _GetZoneList 		
#define _GetZoneList	8
#endif

#ifndef _GetLocalZone 		
#define _GetLocalZone	7
#endif

#define entryLengths 	20				/*  33 standard entityData length */

#define suspendResumeEvt 	15
 
/*
 *	Resource ID constants.
 */

/*
 *	Resource ID constants for string list items.
 */
#define kZoneStrID		1
#define kObjectStrID	2
#define kTypeStrID		3
#define kNetStrID		4
#define kNodeStrID		5
#define kSktStrID		6

#define	kStringListID 	128				/* ID for our string list resource */


#define	appleID			128 			/* This is a resource ID */
#define	fileID 			129 			/* ditto */
#define	editID 			130 			/* ditto */

#define	appleMenu		0				/* MyMenus[] array indexes */
#define	aboutMeCommand	1

#define	fileMenu		1
#define	lookupCommand 	1
#define	quitCommand 	2

#define	editMenu		2
#define cutCommand		3
#define copyCommand		4
#define pasteCommand	5
#define clearCommand	6
/*#define clearCommand	5*/

/* for sort child menu */
#define objectItem			1
#define typeItem			2
#define netItem				3
#define nodeItem				4
#define socketItem			5

/*
 * For the About Sample... DLOG
 */
#define	aboutMeDLOG		128
#define	okButton				1
#define	authorItem			2			/* For SetIText */
#define	languageItem			3			/* For SetIText */

/*
 *	constants for main dialog 
 */
#define kMainDialogID	129

#define kZoneListID			1
#define kNameTypeListID		2
#define kZoneItemID			4
#define kTypeID				5
#define kObjectID			6
#define kObjectCountID		7
#define kProgressID			8
#define kNetID				9
#define kNodeID				10
#define kSocketID			11
#define kDoLookupID			12

/*
 *	constants for lookup dialog 
 */
#define kLookupDialogID	130
#define kIntervalItem 	3
#define kCountItem 		4
#define kPhase2Item 	5
#define kObjectItem 	8
#define kTypeItem	 	9


#define	osEvent					app4Evt	/* event used by MultiFinder */
#define	resumeMask				1		/* bit of message field for resume vs. suspend */
#define	sysEnvironsVersion		1

/* 
 *	quicksort "mode" constants 
 */
#define sortOnZoneName 	1
#define sortOnObject 	1
#define sortOnType 		31
#define sortOnNet 		62
#define sortOnNode 		68
#define sortOnSocket 	72
	
/* 
 *	constants for window activation 
 */
#define kActivateWindow		1
#define kDeactivateWindow	0

/* 
 *	low memory global for hilite RGB setting 
 */
#define HiliteRGB 0xDA0


#define zoneNameSize 	33


/* 
 *	AppleTalk Phase 2 calls 
 */

/* 
 *	csCodes for new .XPP driver calls
 */
#ifndef xCall
#define	xCall				246
#endif

/* 
 *	xppSubCodes 
 */
#ifndef zipGetLocalZones
#define zipGetLocalZones 	5
#endif
#ifndef zipGetZoneList
#define zipGetZoneList		6
#endif
#ifndef zipGetMyZone
#define zipGetMyZone 		7
#endif

/*  
 *	offsets for xCall queue elements  
 *

if this isn't defined in your interfaces, here it be.

typedef struct 
	{
	QElemPtr		qLink;
	short			qType;
	short			ioTrap;
	Ptr				ioCmdAddr;
	ProcPtr			ioCompletion;
	OSErr			ioResult;
	StringPtr		ioNamePtr;
	short			ioVRefNum;
	short			ioRefNum;
	short			csCode;
	short			xppSubcode;
	unsigned char	xppTimeout;
	unsigned char	xppRetry;
	short			filler;
	Ptr				zipBuffPtr;
	short			zipNumZones;
	short			zipLastFlag;
	unsigned char	zipInfoField[70];
} XCallParam;
*/

/* 
 *	mpp csCodes 
 */
#define getAppleTalkInfo 	258

/*  
 *	offsets for GetAppleTalkInfo queue element
 */
typedef struct
	{
	QElemPtr		qLink;
	short			qType;
	short			ioTrap;
	Ptr				ioCmdAddr;
	ProcPtr			ioCompletion;
	OSErr			ioResult;
	StringPtr		ioNamePtr;
	short			ioVRefNum;
	short			ioRefNum;
	short			csCode;
	short			version;
	Ptr				varsPtr;
	Ptr				DCEPtr;
	short			PortID;
	long			configuration;
	short		selfSend;
	short			netLo;
	short			netHi;
	long			ourAddr;
	long			routerAddr;
	short			numOfPHs;
	short			numOfSkts;
	short			numOfNBPEs;
	Ptr				ntQueue;
	short			LALength;
	Ptr				linkAddr;
	Ptr				zoneName;
} getAppleTalkInfoParam;

/*  
 *	offsets for packet buffers to be used by socket listener
 */
typedef struct {
		QElemPtr	qLink;
		short		qType;
		short		buffer_type;			/* DDP Type */
		short		buffer_NodeID;			/* Destination Node */
		AddrBlock	buffer_Address;			/* Source Address in AddrBlock format */
		short		buffer_Hops;			/* Hop count */
		short		buffer_ActCount;		/* length of DDP datagram */
		OSErr		buffer_CheckSum;		/* Checksum returned here */
		long		buffer_Ticks;			/* Timestamp of processing by socket listener */
		char		buffer_Data[ddpMaxData]; /* the DDP datagram */
} PacketBuffer;

typedef PacketBuffer *PacketPtr;

/*
 *	The following stuff is implemented for the AppleTalk Transition Queue 
 */

#define ATTransOpen					0		/* .MPP just opened */
#define ATTransClose				2		/* .MPP is closing */
#define ATTransClosePrep			3		/* OK for .MPP to close? */
#define ATTransCancelClose			4		/* .MPP close was canceled */
#define ATTransNetworkTransition	5		/* .MPP Network ADEV transition */
#define ATTransNameChangeTellTask	6		/* Flagship name is changing */
#define ATTransNameChangeAskTask	7		/* OK to change Flagship name */
#define ATTransCancelNameChange		8		/* Flagship name change was canceled */
#define ATTransCableChange			'rnge'	/* Cable Range Change has occurred */
#define ATTransSpeedChange			'sped'	/* Change in processor speed has occurred */

/*----------------------------------------------------------------------
		NBP Name Change Info record
----------------------------------------------------------------------*/
typedef struct NameChangeInfo {
	Str32 	newObjStr;	/* new NBP name */
	Ptr	name;			/* Ptr to location to place a pointer to Pascal string of */
							/* name of process that NAK'd the event */
}
	NameChangeInfo, *NameChangePtr, **NameChangeHdl;

/*----------------------------------------------------------------------
		Network Transition Info Record
----------------------------------------------------------------------*/

typedef struct TNetworkTransition {
	Ptr		private;			/* pointer to private structure */
	ProcPtr	netValidProc;		/* pointer to network validation procedure */
	Boolean 	newConnectivity;	/* true = new connection */
								 	/* false = loss of connection */

}
	TNetworkTransition , *TNetworkTransitionPtr, **TNetworkTransitionHdl;

typedef	pascal long	(*NetworkTransitionProcPtr)(TNetworkTransitionPtr netTrans, \
					  unsigned long theNet);

/*----------------------------------------------------------------------
		Cable Range Transition Info Record
----------------------------------------------------------------------*/
typedef struct TNewCRTrans {
	short	newCableLo;	/* the new Cable Lo received from RTMP */
	short	newCableHi;	/* the new Cable Hi received from RTMP */
}
	TNewCRTrans , *TNewCRTransPtr, **TNewCRTransHdl;

/*----------------------------------------------------------------------
		AppleTalk Transition Queue Element
----------------------------------------------------------------------*/
typedef struct	myATQEntry {
	Ptr		qLink;		/* -> next queue element */
	short	qType;		/* unused */
	ProcPtr	CallAddr;	/* -> transition procedure */
	Ptr		globs;		/* -> to user defined globals */
}
	myATQEntry, *myATQEntryPtr, **myATQEntryHdl;
