#-------------------------------------------------------------------------------------------
#
#	Program:	< DMZ 1.0 >
#	File:		< dmz.make >
#	
#	by Pete Helme
#	of <Apple Macintosh Developer Technical Support - or wheverever>
#
#	Copyright  1990 Apple Computer, Inc.
#	All rights reserved.
#	
#-------------------------------------------------------------------------------------------

SymOptions = -sym off

COptions		= {SymOptions} # -d useDump -d path=""{CIncludes}myIncludes.dump""

AOptions		= {SymOptions}

LinkOptions 	= {SymOptions} -w

CObjs			=	dmzMain.c.o 
						dmzLists.c.o 
						dmzAT.c.o 
						dmz.a.o 
					"{Libraries}"Runtime.o 
					#"{CLibraries}"CRuntime.o 
					"{CLibraries}"StdCLib.o 
					#"{CLibraries}"CInterface.o 
					"{Libraries}"ToolLibs.o 
					"{Libraries}"Interface.o

CLDEFObjs	=	dmzLDEF.c.o 
					"{Libraries}"Interface.o

dmz			{CObjs} 
					dmz.make
	Link {LinkOptions} -o {Targ} {CObjs}
	SetFile {Targ} -t APPL -c 'MOOS' -a B

dmz			dmz.r 
			dmz.h 
			dmz.make
	Rez -rd -o {Targ} dmz.r -append

dmz			{CLDEFObjs} 
			dmz.make
	Link -m MAIN -rt LDEF=128 -ra Main=resLocked -o dmzLDEF.rsrc {CLDEFObjs}
	DeRez dmzLDEF.rsrc > dmzLDEF.r
	Rez dmzLDEF.r -rd -o {Targ} -append
