{
Created: 1:18 PM Fri, Dec 20, 1991
    AERegistry.p
    Pascal Interface to the Apple Event Registry

        Copyright Apple Computer, Inc.    1991
        All rights reserved
}


{$IFC UNDEFINED UsingIncludes}
{$SETC UsingIncludes := 0}
{$ENDC}

{$IFC NOT UsingIncludes}
    UNIT AERegistry;
    INTERFACE
{$ENDC}

{$IFC UNDEFINED UsingAERegistry}
{$SETC UsingAERegistry := 1}

CONST
cAEList = 'list';
cApplication = 'capp';
cArc = 'carc';
cBoolean = 'bool';
cCell = 'ccel';
cChar = 'cha ';
cColorTable = 'clrt';
cColumn = 'ccol';
cDocument = 'docu';
cDrawingArea = 'cdrw';
cEnumeration = 'enum';
cFile = 'file';
cFixed = 'fixd';
cGraphicLine = 'glin';
cGraphicObject = 'cgob';
cGraphicShape = 'cgsh';
cGraphicText = 'cgtx';
cGroupedGraphic = 'cpic';
cInsertionLoc = 'insl';
cIntlText = 'itxt';
cIntlWritingCode = 'intl';
cItem = 'citm';
cLine = 'clin';
cLongInteger = 'long';
cMenu = 'cmnu';
cMenuItem = 'cmen';
cObject = 'cobj';
cObjectSpecifier = 'obj ';
cOpenableObject = 'coob';
cOval = 'covl';
cParagraph = 'cpar';
cPixel = 'cpxl';
cPixelMap = 'cpix';
cPolygon = 'cpgn';
cProperty = 'prop';
cQDPoint = 'QDpt';
cQDRectangle = 'qdrt';
cRectangle = 'crec';
cRGBColor = 'cRGB';
cRotation = 'trot';
cRoundedRectangle = 'crrc';
cRow = 'crow';
cSelection = 'csel';
cShortInteger = 'shor';
cTable = 'ctbl';
cText = 'ctxt';
cTextFlow = 'cflo';
cTextStyles = 'tsty';
cType = 'type';
cWindow = 'cwin';
cWord = 'cwor';
errAEBadKeyForm = -10002;
errAECantHandleClass = -10010;
errAECantSupplyType = -10009;
errAEEventFailed = -10000;
errAEIndexTooLarge = -10007;
errAEInTransaction = -10011;
errAELocalOnly = -10016;
errAENoSuchTransaction = -10012;
errAENotAnElement = -10008;
errAENotASingleObject = -10014;
errAENotModifiable = -10003;
errAENoUserSelection = -10013;
errAEPrivilegeError = -10004;
errAEReadDenied = -10005;
errAETypeError = -10001;
errAEWriteDenied = -10006;
kAEAbout = 'abou';
kAEAfter = 'afte';
kAEAliasSelection = 'sali';
kAEAllCaps = 'alcp';
kAEArrowAtEnd = 'aren';
kAEArrowAtStart = 'arst';
kAEArrowBothEnds = 'arbo';
kAEAsk = 'ask ';
kAEBefore = 'befo';
kAEBeginning = 'bgng';
kAEBeginsWith = 'bgwt';
kAEBeginTransaction = 'begi';
kAEBold = 'bold';
kAECaseSensEquals = 'cseq';
kAECentered = 'cent';
kAEChangeView = 'view';
kAEClone = 'clon';
kAEClose = 'clos';
kAECondensed = 'cond';
kAEContains = 'cont';
kAECopy = 'copy';
kAECoreSuite = 'core';
kAECountElements = 'cnte';
kAECreateElement = 'crel';
kAECreatePublisher = 'cpub';
kAECut = 'cut ';
kAEDelete = 'delo';
kAEDoObjectsExist = 'doex';
kAEDoScript = 'dosc';
kAEDrag = 'drag';
kAEDuplicateSelection = 'sdup';
kAEEditGraphic = 'edit';
kAEEmptyTrash = 'empt';
kAEEnd = 'end ';
kAEEndsWith = 'ends';
kAEEndTransaction = 'endt';
kAEEquals = '=   ';
kAEExpanded = 'pexp';
kAEFast = 'fast';
kAEFinderEvents = 'FNDR';
kAEFormulaProtect = 'fpro';
kAEFullyJustified = 'full';
kAEGetClassInfo = 'qobj';
kAEGetData = 'getd';
kAEGetDataSize = 'dsiz';
kAEGetEventInfo = 'gtei';
kAEGetInfoSelection = 'sinf';
kAEGetPrivilegeSelection = 'sprv';
kAEGreaterThan = '>   ';
kAEGreaterThanEquals = '>=  ';
kAEGrow = 'grow';
kAEHidden = 'hidn';
kAEHiQuality = 'hiqu';
kAEImageGraphic = 'imgr';
kAEInfo = 11;
kAEIsUniform = 'isun';
kAEItalic = 'ital';
kAELeftJustified = 'left';
kAELessThan = '<   ';
kAELessThanEquals = '<=  ';
kAELowercase = 'lowc';
kAEMain = 0;
kAEMakeObjectsVisible = 'mvis';
kAEMiscStandards = 'misc';
kAEModifiable = 'modf';
kAEMove = 'move';
kAENo = 'no  ';
kAENoArrow = 'arno';
kAENonmodifiable = 'nmod';
kAEOpen = 'odoc';
kAEOpenSelection = 'sope';
kAEOutline = 'outl';
kAEPageSetup = 'pgsu';
kAEPaste = 'past';
kAEPlain = 'plan';
kAEPrint = 'pdoc';
kAEPrintSelection = 'spri';
kAEPrintWindow = 'pwin';
kAEPutAwaySelection = 'sput';
kAEQDAddOver = 'addo';
kAEQDAddPin = 'addp';
kAEQDAdMax = 'admx';
kAEQDAdMin = 'admn';
kAEQDBic = 'bic ';
kAEQDBlend = 'blnd';
kAEQDCopy = 'cpy ';
kAEQDNotBic = 'nbic';
kAEQDNotCopy = 'ncpy';
kAEQDNotOr = 'ntor';
kAEQDNotXor = 'nxor';
kAEQDOr = 'or  ';
kAEQDSubOver = 'subo';
kAEQDSubPin = 'subp';
kAEQDXor = 'xor ';
kAERedo = 'redo';
kAERegular = 'regl';
kAEReplace = 'rplc';
kAERevealSelection = 'srev';
kAERevert = 'rvrt';
kAERightJustified = 'rght';
kAESave = 'save';
kAESetData = 'setd';
kAESetPosition = 'posn';
kAEShadow = 'shad';
kAESharing = 13;
kAEShowClipboard = 'shcl';
kAESleep = 'slep';
kAESmallCaps = 'smcp';
kAEStrikethrough = 'strk';
kAESubscript = 'sbsc';
kAESuperscript = 'spsc';
kAETransactionTerminated = 'ttrm';
kAEUnderline = 'undl';
kAEUndo = 'undo';
kAEWholeWordEquals = 'wweq';
kAEYes = 'yes ';
kAEZoom = 'zoom';
kByCommentView = 6;
kByDateView = 3;
kByIconView = 1;
kByKindView = 5;
kByLabelView = 7;
kByNameView = 2;
kBySizeView = 4;
kBySmallIcon = 0;
kByVersionView = 8;
keyAEAngle = 'kang';
keyAEArcAngle = 'kend';
keyAEBaseAddr = 'badd';
keyAEBgndColor = 'kbcl';
keyAEBgndPattern = 'kbpt';
keyAEBounds = 'kbnd';
keyAECellList = 'kclt';
keyAEClassID = 'clID';
keyAEColor = 'kclr';
keyAEColorTable = 'kcls';
keyAECurveHeight = 'kchd';
keyAECurveWidth = 'kcwd';
keyAEDashStyle = 'dsty';
keyAEData = 'data';
keyAEDefinitionRect = 'kdef';
keyAEDescType = 'dstp';
keyAEDestination = 'dest';
keyAEDoAntiAlias = 'anta';
keyAEDoDithered = 'gdit';
keyAEDoRotate = 'kdrt';
keyAEDoScale = 'ksca';
keyAEDoTranslate = 'ktra';
keyAEEditionFileLoc = 'eloc';
keyAEElements = 'elms';
keyAEEndPoint = 'kedp';
keyAEEventClass = 'evcl';
keyAEEventID = 'evti';
keyAEFile = 'kfil';
keyAEFileType = 'fltp';
keyAEFillColor = 'kfcl';
keyAEFillPattern = 'kfpt';
keyAEFlipHorizontal = 'kfho';
keyAEFlipVertical = 'kfvt';
keyAEFont = 'kfnt';
keyAEFormula = 'kfla';
keyAEGraphicObjects = 'kgrs';
keyAEImageQuality = 'gqua';
keyAEInsertHere = 'insh';
keyAEKeyForms = 'keyf';
keyAEKeyword = 'kywd';
keyAELineArrow = 'lnar';
keyAEName = 'knam';
keyAENewElementLoc = 'knel';
keyAEObject = 'kobj';
keyAEObjectClass = 'kocl';
keyAEOffStyles = 'ofst';
keyAEOnStyles = 'onst';
keyAEParameters = 'prms';
keyAEParamFlags = 'pmfg';
keyAEPenColor = 'kpcl';
keyAEPenPattern = 'kpat';
keyAEPenWidth = 'kpwd';
keyAEPixelDepth = 'kpdp';
keyAEPixMapMinus = 'kpmm';
keyAEPMTable = 'kpmt';
keyAEPointList = 'kpts';
keyAEPointSize = 'kptz';
keyAEPosition = 'kpos';
keyAEPropData = 'prdt';
keyAEProperties = 'qpro';
keyAEProperty = 'kprp';
keyAEPropFlags = 'prfg';
keyAEPropID = 'prop';
keyAEProtection = 'kptc';
keyAERenderAs = 'kren';
keyAERequestedType = 'rtyp';
keyAEResult = '----';
keyAEResultInfo = 'rsin';
keyAERotation = 'krot';
keyAERotPoint = 'krtp';
keyAERowList = 'krls';
keyAESaveOptions = 'savo';
keyAEScale = 'kscl';
keyAEScriptTag = 'kStg';
keyAEShowWhere = 'show';
keyAEStartAngle = 'ksta';
keyAEStartPoint = 'kstr';
keyAEStyles = 'ksty';
keyAEText = 'ktxt';
keyAETextColor = 'ktxc';
keyAETextFont = 'ktxf';
keyAETextPointSize = 'ktps';
keyAETextStyles = 'txts';
keyAETheText = 'thtx';
keyAETransferMode = 'ktrn';
keyAETranslation = 'ktrl';
keyAETryAsStructGraf = 'toog';
keyAEUniformStyles = 'unis';
keyAEUpdateOn = 'kupd';
keyAEUserTerm = 'utrm';
keyAEWindow = 'wndw';
keyAEWritingCode = 'wrcd';
keyMiscellaneous = 'fmsc';
keySelection = 'fsel';
keyWindow = 'kwnd';
pArcAngle = 'parc';
pBackgroundColor = 'pbcl';
pBackgroundPattern = 'pbpt';
pBestType = 'pbst';
pBounds = 'pbnd';
pClass = 'pcls';
pClipboard = 'pcli';
pColor = 'colr';
pColorTable = 'cltb';
pCornerCurveHeight = 'pchd';
pCornerCurveWidth = 'pcwd';
pDashStyle = 'pdst';
pDefaultType = 'deft';
pDefinitionRect = 'pdrt';
pEnabled = 'enbl';
pEndPoint = 'pend';
pFillColor = 'flcl';
pFillPattern = 'flpt';
pFont = 'font';
pFormula = 'pfor';
pGraphicObjects = 'gobs';
pHasCloseBox = 'hclb';
pHasTitleBar = 'ptit';
pIndex = 'pidx';
pInsertionLoc = 'pins';
pIsFloating = 'isfl';
pIsFrontProcess = 'pisf';
pIsModal = 'pmod';
pIsModified = 'imod';
pIsResizable = 'prsz';
pIsStationeryPad = 'pspd';
pIsZoomable = 'iszm';
pIsZoomed = 'pzum';
pItemNumber = 'itmn';
pJustification = 'pjst';
pLineArrow = 'arro';
pMenuID = 'mnid';
pName = 'pnam';
pNewElementLoc = 'pnel';
pPenColor = 'ppcl';
pPenPattern = 'pppa';
pPenWidth = 'ppwd';
pPixelDepth = 'pdpt';
pPointList = 'ptlt';
pPointSize = 'ptsz';
pProtection = 'ppro';
pRotation = 'prot';
pScale = 'pscl';
pScriptTag = 'psct';
pSelection = 'sele';
pStartAngle = 'pang';
pStartPoint = 'pstp';
pTextColor = 'ptxc';
pTextFont = 'ptxf';
pTextItemDelimiters = 'txdl';
pTextPointSize = 'ptps';
pTextStyles = 'txst';
pTransferMode = 'pptm';
pTranslation = 'ptrs';
pUniformStyles = 'ustl';
pUpdateOn = 'pupd';
pUserSelection = 'pusl';
pVersion = 'vers';
pVisible = 'pvis';
typeAEText = 'tTXT';
typeAppleEvent = 'AEVT';
typeArc = 'tarc';
typeBest = 'best';
typeCell = 'cell';
typeClassInfo = 'clin';
typeColorTable = 'clrt';
typeColumn = 'colm';
typeDashStyle = 'tdas';
typeData = 'tdta';
typeDrawingArea = 'tdar';
typeElemInfo = 'elin';
typeEnumeration = 'enum';
typeEPS = 'EPS ';
typeEventInfo = 'evin';
typeFinderWindow = 'fwin';
typeFixed = 'fixd';
typeGraphicLine = 'tgln';
typeGraphicText = 'gtxt';
typeGroupedGraphic = 'tgru';
typeInsertionLoc = 'insl';
typeIntlText = 'itxt';
typeIntlWritingCode = 'intl';
typeOval = 'tovl';
typeParamInfo = 'pmin';
typePict = 'PICT';
typePixelMap = 'tpix';
typePixMapMinus = 'tpmm';
typePolygon = 'tpol';
typePropInfo = 'pinf';
typeQDPoint = 'QDpt';
typeQDRectangle = 'qdrt';
typeRectangle = 'rcte';
typeRGB16 = 'tr16';
typeRGB96 = 'tr96';
typeRGBColor = 'RGB ';
typeRotation = 'trot';
typeRoundedRectangle = 'trdr';
typeRow = 'row ';
typeScrapStyles = 'styl';
typeStyledText = 'STXT';
typeTable = 'tabl';
typeTextStyles = 'tsty';
typeTIFF = 'TIFF';
zoomIn = 7;
zoomOut = 8;

enumSaveOptions = 'savo';
enumPosition = 'posi';
enumKeyForm = 'kfrm';
enumStyle = 'styl';
enumJustification = 'just';
enumProtection = 'prtn';
enumTransferMode = 'tran';
enumArrows = 'arro';
enumQuality = 'qual';

kAEIndex = 'indx';
kAEName = 'name';
kAEIdentifier = 'id  ';

kAERequiredSuite = 'reqd';
kAETextSuite = 'TEXT';
kAEQuickDrawSuite = 'qdrw';
kAEQDSupplementalSuite = 'qdsp';
kAETableSuite = 'tbls';

{$ENDC}    { UsingAERegistry }

{$IFC NOT UsingIncludes}
    END.
{$ENDC}
