/* TBConstants.h
 * Constants for use in the Testbed word processor
 * 1992 Working Software, Inc.
 * This source code is copyrighted.  Permission is granted to use the Word Services
 * portion of the Writeswell Jr. source code in your own programs, but you 
 * may not distribute the Writeswell Jr. word-processor code as a 
 * commercial product.  If you modify the code, please do not call it 
 * Writeswell Jr. (or Writeswell.)  This will ensure that people understand the 
 * program and dont have to deal with a number of different versions with 
 * who-knows-what going on in the code.
 * 
 * Writeswell Jr. and Writeswell are trademarks of Working Software, Inc.
 * 18 Dec 91 Mike Crawford
 */

enum {
	kDocWindowID = 128				/* Resource ID of document window */
};

enum {
	kMBarID = 128
};

enum {
	kAppleMenuID = 128,
	kFileMenuID,
	kEditMenuID,
	kServMenuID
};

enum {
	kAMAboutMe = 1,
	kAMDash
};

enum {
	kFMNew = 1,
	kFMQuit
};

enum {
	kEMUndo = 1,
	kEMDash,
	kEMCut,
	kEMCopy,
	kEMPaste,
	kEMClear
};

enum {
	kSMCheckSel = 1,
	kSMNewBatch,
	kSMNewInteractive,
	kSMRemoveService,
	kSMCheckWord,
	kSMStopIntCheck,
	kSMDash
};

enum {
	kAboutMeID = 129			/* About TestBed resource ID */
};

enum {
	kVertScrollBarID = 1000		/* Vertical document window scroll bar */
};

#define kMiscStringID	128		/* STR# prefs file name and such */

enum {
	kPreferencesFileNameStr	= 1	/* Name of preferences file */
};

#define kMaxServices 16
