/*--------------------------------------------------------------------------------------
//
//	File:  		BlendProcs.h
//
//	Contents:	Header declarations procedures that generate blended fills.
//
//
//	By Georgiann ("George") Delaney
//	1989 - 1990, Apple Computer, Inc.
//
//--------------------------------------------------------------------------------------*/



void  HLSRectBlend			(Rect *boundRect, short saturation);
void  HLSVLinearBlend		(Rect *boundRect, short saturation);
void  HLSHLinearBlend		(Rect *boundRect, short saturation);

void  GrayRectBlend			(Rect *boundRect);
void  GrayVLinearBlend		(Rect *boundRect);
void  GrayHLinearBlend		(Rect *boundRect);

void  GrayPatRectBlend		(Rect *boundRect);
void  GrayPatVLinearBlend	(Rect *boundRect);
void  GrayPatHLinearBlend	(Rect *boundRect);
