/************************************************************************
*																		*
*	CodeA5Globals.h														*
*																		*
*	Prototypes for A5-world routines for using globals in code 			*
*	resources. The A5-world routines are in CodeA5Globals.c.			*
*																		*
*	Copyright  1988 Claris Corporation									*
*	All Rights Reserved													*
*																		*
************************************************************************/

#ifndef _H_CodeA5Globals_
#define _H_CodeA5Globals_


/* External prototypes */
extern long A5Size(void);
extern void A5Init(Ptr);

extern void MakeA5World(Handle);
extern long SetA5World(Handle);
extern void RestoreA5World(long, Handle);
extern void DisposeA5World(Handle);

#endif
